/**
 * @license
 * Copyright ASW (A Software World) All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file
 */
import { CdkDragDrop } from '@angular/cdk/drag-drop';
import { EventEmitter, OnChanges, OnInit } from '@angular/core';
import { MatDialog } from '@angular/material/dialog';
import { NotificationService } from '@asoftwareworld/form-builder/form-control/core';
import * as i0 from "@angular/core";
export declare class AswFormBuilder implements OnInit, OnChanges {
    dialog: MatDialog;
    private notificationService;
    constants: any;
    availableControls: any[];
    formContainer: any[];
    viewInitialized: boolean;
    uploadData: any[];
    isShowPreviewButton: boolean;
    isShowJsonDataButton: boolean;
    isShowPublishButton: boolean;
    previewClick: EventEmitter<any[]>;
    publishClick: EventEmitter<any[]>;
    buttonClick: EventEmitter<any[]>;
    aswModelChange: EventEmitter<any>;
    constructor(dialog: MatDialog, notificationService: NotificationService);
    ngOnInit(): void;
    ngOnChanges(): void;
    drop(event: CdkDragDrop<string[]>): void;
    updatedControl(data: any): void;
    deleteControl(index: any): void;
    previewTemplate(): void;
    previewJsonData(): void;
    publishTemplate(): void;
    buttonClicked(type: string): void;
    onSelectionChange(control: any): void;
    duplicateControl(control: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AswFormBuilder, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AswFormBuilder, "asw-form-builder", never, { "uploadData": "uploadData"; "isShowPreviewButton": "isShowPreviewButton"; "isShowJsonDataButton": "isShowJsonDataButton"; "isShowPublishButton": "isShowPublishButton"; }, { "previewClick": "previewClick"; "publishClick": "publishClick"; "buttonClick": "buttonClick"; "aswModelChange": "aswModelChange"; }, never, never>;
}
